export const initialize: (config: object, onevent: (id: number, event: ArrayBuffer) => void) => number;
export const destroy: () => Promise<void>;
export const destroySync: () => void;
export const getSdkVersion: () => string;
export const setLogFile: (path: string) => number;
export const setLogFilter: (filter: number) => number;
export const setParameters: (parameters: string) => number;
export const enableEncryption: (enabled: boolean, datastreamEncryptionEnabled: boolean, encryptionMode: number, key: string, salt: ArrayBuffer) => number;
export const joinChannel: (token: string, channel: string, uid: number) => number;
export const leaveChannel: (stopAudioMixing: boolean, stopAllEffect: boolean, stopMicrophoneRecording: boolean) => number;
export const pushVideoFrame: (frame: ArrayBuffer, width: number, height: number, rotation: number) => number;
export const setAudioProfile: (profile: number) => number;
export const setAudioScenario: (scenario: number) => number;
export const startAudioRecording: (filePath: string, quality: number) => number;
export const stopAudioRecording: () => number;
export const setupRemoteVideo: (xcomponentId: string, uid: number, renderMode: number, mirrorMode: number) => number;
export const setupLocalVideo: (xcomponentId: string, uid: number, renderMode: number, mirrorMode: number, sourceType: number) => number;
export const registerEventCallback: (cb: (event: string) => void) => number;
export const setChannelProfile: (profile: number) => number;
export const setClientRole: (profile: number, audienceLatencyLevel: number) => number;
export const registerTypeScriptFunctions: (type: number, functions: ((value?: object) => object)[]) => number;
export const enableVideo: () => number;
export const enableLocalVideo: (enabled: boolean) => number;
export const muteLocalVideoStream: (muted: boolean) => number;
export const muteLocalAudioStream: (muted: boolean) => number;
export const startAudioMixing: (filepath: string, loopback: boolean, cycle: number, startpos: number) => number;
export const stopAudioMixing: () => number;
export const pauseAudioMixing: () => number;
export const resumeAudioMixing: () => number;
export const setAudioMixingPlaybackSpeed: (speed: number) => number;
export const getAudioMixingCurrentPosition: () => number;
export const setVideoEncoderConfiguration: (configuration: object) => number;
export const setVideoEncoderConfigurationEx: (configuration: object, connection: object) => number;
export const pushExternalVideoFrame: (videoframe: object) => boolean;
export const setExternalVideoSource: (enable: boolean, useTexture: boolean, sourceType: number) => number;
export const createCustomVideoTrack: () => number;
export const destroyCustomVideoTrack: (videoTrackId: number) => number;
export const getCurrentMonotonicTimeInMs: () => number;
export const joinChannelEx: (token: string, connection: object, options: object, onevent: (id: number, event: ArrayBuffer) => void) => number;
export const pushExternalVideoFrameEx: (frame: object, videoTrackId: number) => number;
export const leaveChannelEx: (connection: object, stopAudioMixing: boolean, stopAllEffect: boolean, stopMicrophoneRecording: boolean) => number;
export const stopScreenCapture: () => number;
export const getCameraCaptureNapiObject: () => object;
export const setCameraInfoList: (list: object) => number;
export const setCameraSupportFormat: (index: number, list: object) => number;
export const switchCamera: () => number;
export const startRecording: (channelId: string, uid: number, islocal: boolean, path: string, format: number, type: number, duration: number, infoInterval: number) => number;
export const stopRecording: (channelId: string, uid: number, islocal: boolean) => number;
export const releaseRecorder: (channelId: string, uid: number, islocal: boolean) => number;
export const setMediaRecorderObserver: (channelId: string, uid: number, islocal: boolean, callback: ((info: object) => void)[] | null) => number;
export const startLocalVideoTranscoder: (config: object) => number;
export const stopLocalVideoTranscoder: () => number;
export const updateLocalTranscoderConfiguration: (config: object) => number;
export const startCameraCapture: (sourceType: number, config: object) => number;
export const stopCameraCapture: (sourceType: number) => number;
export const updateChannelMediaOptions: (options: object) => number;
export const joinChannelWithOptions: (token: string, channelId: string, uid: number, options: object) => number;
export const setDualStreamMode: (mode: number, width: number, height: number, bitrate: number, framerate: number) => number;
export const setRemoteVideoStreamType: (uid: number, streamType: number) => number;
export const muteRemoteVideoStream: (uid: number, muted: boolean) => number;
export const enableAudioVolumeIndication: (interval: number, smooth: number, reportVad: boolean) => number;
export const disableAudio: () => number;
export const muteAllRemoteAudioStreams: (muted: boolean) => number;
export const muteAllRemoteVideoStreams: (muted: boolean) => number;
export const takeSnapshot: (uid: number, filePath: string) => number;
export const getErrorDescription: (error: number) => string;
export const isCameraFocusSupported: () => boolean;
export const setCameraFocusPositionInPreview: (positionX: number, positionY: number) => number;
export const enableFaceDetection: (enabled: boolean) => number;
export const startAudioRecordingWithParams: (filePath: string, sampleRate: number, codec: boolean, fileoption: number, quality: number, recordingChannel: number) => number;
export const getCallId: () => string;
export const getCallIdEx: (connection: object) => string;
export const getSystemEventHandlerNapiObject: () => object;
export const getDeviceInfoNapiObject: () => object;
export const setDefaultAudioRoutetoSpeakerphone: (defaultToSpeaker: boolean) => number;
export const setAudioMixingPosition: (pos: number) => number;
export const adjustAudioMixingPlayoutVolume: (volume: number) => number;
export const adjustAudioMixingPublishVolume: (volume: number) => number;
export const enableLocalAudio: (enabled: boolean) => number;
export const muteRemoteAudioStream: (uid: number, muted: boolean) => number;
export const disableVideo: () => number;
export const enableAudio: () => number;
export const adjustPlaybackSignalVolume: (volume: number) => number;
export const adjustRecordingSignalVolume: (volume: number) => number;
export const setRemoteDefaultVideoStreamType: (streamType: number) => number;
export const startOrUpdateChannelMediaRelay: (srcInfo: object, destInfos: object) => number;
export const stopChannelMediaRelay: () => number;
export const preloadChannel: (token: string, channelName: string, optionalUid: number) => number;
export const updatePreloadChannelToken: (token: string) => number;
export const renewToken: (token: string) => number;
export const setRemoteVideoSubscriptionOptions: (uid: number, options: object) => number;
export const adjustUserPlaybackSignalVolume: (uid: number, volume: number) => number;
export const muteRecordingSignal: (muted: boolean) => number;
export const enableInEarMonitoring: (enabled: boolean, includeAudioFilters: number) => number;
export const setInEarMonitoringVolume: (volume: number) => number;
export const setAdvancedAudioOptions: (options: object) => number;
export const setAINSMode: (enabled: boolean, mode: number) => number;
export const setLocalVoiceEqualization: (bandFrequency: number, bandGain: number) => number;
export const setLocalVoicePitch: (pitch: number) => number;
export const setLocalVoiceReverb: (reverbKey: number, value: number) => number;
export const setVoiceBeautifierPreset: (preset: number) => number;
export const setVoiceBeautifierParameters: (preset: number, param1: number, param2: number) => number;
export const setAudioEffectPreset: (preset: number) => number;
export const setAudioEffectParameters: (preset: number, param1: number, param2: number) => number;
export const setVoiceConversionPreset: (preset: number) => number;
export const setLocalVoiceFormant: (formantRatio: number) => number;
export const enableSoundPositionIndication: (enabled: boolean) => number;
export const setRemoteVoicePosition: (uid: number, pan: number, gain: number) => number;
export const setHeadphoneEQPreset: (preset: number) => number;
export const setHeadphoneEQParameters: (lowGain: number, highGain: number) => number;
export const setEarMonitoringAudioFrameParameters: (sampleRate: number, channel: number, mode: number, samplesPerCall: number) => number;
export const setRecordingAudioFrameParameters: (sampleRate: number, channel: number, mode: number, samplesPerCall: number) => number;
export const setPlaybackAudioFrameParameters: (sampleRate: number, channel: number, mode: number, samplesPerCall: number) => number;
export const setMixedAudioFrameParameters: (sampleRate: number, channel: number, samplesPerCall: number) => number;
export const setPlaybackAudioFrameBeforeMixingParameters: (sampleRate: number, channel: number) => number;
export const createCustomAudioTrack: (trackType: number, localPlayback: boolean) => number;
export const destroyCustomAudioTrack: (trackId: number) => number;
export const setExternalAudioSink: (enabled: boolean, sampleRate: number, channels: number) => number;
export const adjustCustomAudioPublishVolume: (trackId: number, volume: number) => number;
export const adjustCustomAudioPlayoutVolume: (trackId: number, volume: number) => number;
export const enableAudioSpectrumMonitor: (intervalInMS: number) => number;
export const disableAudioSpectrumMonitor: () => number;
export const setVideoScenario: (scenarioType: number) => number;
export const startPreview: (sourceType?: number) => number;
export const stopPreview: (sourceType?: number) => number;
export const queryScreenCaptureCapability: () => number;
export const startScreenCapture: (screenCaptureParameters: object) => number;
export const updateScreenCaptureParameters: (screenCaptureParameters: object) => number;
export const enableContentInspect: (enabled: boolean, config: string) => number;
export const enableVirtualBackground: (enabled: boolean, backgroundSource: string, segproperty: object, sourceType: number) => number;
export const enableVideoImageSource: (enabled: boolean, options: object) => number;
export const setBeautyEffectOptions: (enabled: boolean, options: object) => number;
export const setColorEnhanceOptions: (enabled: boolean, options: object) => number;
export const setLowlightEnhanceOptions: (enabled: boolean, options: object) => number;
export const setVideoDenoiserOptions: (enabled: boolean, options: object) => number;
export const addVideoWatermark: (watermarkUrl: string, options: object) => number;
export const clearVideoWatermarks: () => number;
export const setLocalRenderMode: (renderMode: number, mirrorMode: number) => number;
export const setRemoteRenderMode: (uid: number, renderMode: number, mirrorMode: number) => number;
export const startMediaRenderingTracing: () => number;
export const enableInstantMediaRendering: () => number;
export const adjustAudioMixingVolume: (volume: number) => number;
export const getAudioMixingPlayoutVolume: () => number;
export const getAudioMixingPublishVolume: () => number;
export const setAudioMixingDualMonoMode: (mode: number) => number;
export const setAudioMixingPitch: (pitch: number) => number;
export const selectAudioTrack: (audioIndex: number) => number;
export const getAudioTrackCount: () => number;
export const getAudioEffectManager: () => object;
export const getEffectsVolume: () => number;
export const setEffectsVolume: (volume: number) => number;
export const getVolumeOfEffect: (soundId: number) => number;
export const setVolumeOfEffect: (soundId: number, volume: number) => number;
export const preloadEffect: (soundId: number, filePath: string) => number;
export const pauseEffect: (soundId: number) => number;
export const pauseAllEffects: () => number;
export const resumeEffect: (soundId: number) => number;
export const resumeAllEffects: () => number;
export const stopEffect: (soundId: number) => number;
export const stopAllEffects: () => number;
export const unloadEffect: (soundId: number) => number;
export const getEffectDuration: (filePath: string) => number;
export const getEffectCurrentPosition: (soundId: number) => number;
export const setEffectPosition: (soundId: number, pos: number) => number;
export const pauseAllChannelMediaRelay: () => number;
export const resumeAllChannelMediaRelay: () => number;
export const startRtmpStreamWithoutTranscoding: (url: string) => number;
export const startRtmpStreamWithTranscoding: (url: string, transcoding: object, watermarkList: object, backgroundImageList: object, transcodingUsers: object, advancedFeatures: object) => number;
export const updateRtmpTranscoding: (transcoding: object, watermarkList: object, backgroundImageList: object, transcodingUsers: object, advancedFeatures: object) => number;
export const stopRtmpStream: (url: string) => number;
export const stopDirectCdnStreaming: () => number;
export const setDirectCdnStreamingAudioConfiguration: (profile: number) => number;
export const setDirectCdnStreamingVideoConfiguration: (config: object) => number;
export const createDataStream: (syncWithAudio: boolean, ordered: boolean) => number;
export const createDataStreamEx: (syncWithAudio: boolean, ordered: boolean, connection: object) => number;
export const setRouteInCommunicationMode: (route: number) => number;
export const setCameraCapturerConfiguration: (direction: number, width: number, height: number, fps: number, followEncodeDimensionRatio: boolean) => number;
export const isCameraZoomSupported: () => boolean;
export const isCameraTorchSupported: () => boolean;
export const isCameraExposurePositionSupported: () => boolean;
export const isCameraAutoFocusFaceModeSupported: () => boolean;
export const isCameraFaceDetectSupported: () => boolean;
export const isCameraExposureSupported: () => boolean;
export const setCameraZoomFactor: (factor: number) => number;
export const getCameraMaxZoomFactor: () => number;
export const setCameraExposurePosition: (positionXinView: number, positionYinView: number) => number;
export const setCameraTorchOn: (isOn: boolean) => number;
export const setCameraExposureFactor: (factor: number) => number;
export const setCameraAutoFocusFaceModeEnabled: (enabled: boolean) => number;
export const setLogFileSize: (fileSizeInKBytes: number) => number;
export const startLastmileProbeTest: (probeUplink: boolean, probeDownlink: boolean, expectedUplinkBitrate: number, expectedDownlinkBitrate: number) => number;
export const stopLastmileProbeTest: () => number;
export const registerAudioFrameObserver: (register: boolean, position: number, recordParam: object, playbackParam: object, mixingParam: object, earmonitorParam: object) => number;
export const registerMetadataObserver: (register: boolean, sendmeta: boolean, datasize: number, type: number) => number;
export const registerVideoFrameObserver: (register: boolean, position: number, rotation: boolean, mirror: boolean, porcessMode: number, format: number) => number;
export const registerGeneralCallbackFunction: (callback: (categoryId: number, methodId: number, ...args: any) => any) => void;
export const sendStreamMessage: (streamId: number, message: ArrayBuffer) => number;
export const pushExternalAudioFrame: (data: ArrayBuffer, timestamp: number, sampleRate: number, channels: number, bytesPerSample: number, trackId: number) => number;
export const setupRemoteVideoEx: (xcomponentId: string, uid: number, renderMode: number, mirrorMode: number, connection: object) => number;
export const sendStreamMessageEx: (streamId: number, message: ArrayBuffer, connection: object) => number;
export const playEffect: (soundId: number, filePath: string, loopCount: number, pitch: number, pan: number, gain: number, publish: boolean, startPos: number) => number;
export const getNativeHandle: () => bigint;
export const getAudioMixingDuration: () => number;
export const muteLocalAudioStreamEx: (muted: boolean, connection: object) => number;
export const muteAllRemoteAudioStreamsEx: (muted: boolean, connection: object) => number;
export const muteAllRemoteVideoStreamsEx: (muted: boolean, connection: object) => number;
export const muteRemoteAudioStreamEx: (uid: number, muted: boolean, connection: object) => number;
export const setRemoteVideoStreamTypeEx: (uid: number, streamType: number, connection: object) => number;
export const setRemoteRenderModeEx: (uid: number, renderMode: number, mirrorMode: number, connection: object) => number;
export const updateChannelMediaOptionsEx: (options: object, connection: object) => number;
export const takeSnapshotEx: (connection: object, uid: number, filePath: string) => number;
export const startOrUpdateChannelMediaRelayEx: (srcInfo: object, destInfos: object, connection: object) => number;
export const stopChannelMediaRelayEx: (connection: object) => number;
export const muteLocalVideoStreamEx: (muted: boolean, connection: object) => number;
export const muteRemoteVideoStreamEx: (uid: number, muted: boolean, connection: object) => number;
export const enableAudioVolumeIndicationEx: (interval: number, smooth: number, reportVad: boolean, connection: object) => number;
export const getAudioRoutingCallbackNapiObject: () => object;
export const logging: (level: number, message: string) => number;
export const adjustUserPlaybackSignalVolumeEx: (uid: number, volume: number, connection: object) => number;
export const createMediaPlayer: () => number;
export const destroyMediaPlayer: (id: number) => number;
export const mediaPlayerOpenWithSource: (id: number, src: object) => number;
export const mediaPlayerOpen: (id: number, src: string, startPts: number) => number;
export const mediaPlayerPlay: (id: number) => number;
export const mediaPlayerStop: (id: number) => number;
export const mediaPlayerPause: (id: number) => number;
export const mediaPlayerResume: (id: number) => number;
export const mediaPlayerSeek: (id: number, pos: number) => number;
export const mediaPlayerMute: (id: number, mute: boolean) => number;
export const mediaPlayerSetAudioPitch: (id: number, pitch: number) => number;
export const mediaPlayerGetMute: (id: number) => boolean;
export const mediaPlayerGetPlayPosition: (id: number) => number;
export const mediaPlayerGetDuration: (id: number) => number;
export const mediaPlayerGetStreamCount: (id: number) => number;
export const mediaPlayerSetView: (id: number, viewid: string) => number;
export const mediaPlayerSetRenderMode: (id: number, mode: number) => number;
export const mediaPlayerGetStreamInfo: (id: number, index: number, streaminfo: object) => number;
export const mediaPlayerSetLoopCount: (id: number, count: number) => number;
export const mediaPlayerChangePlaybackSpeed: (id: number, speed: number) => number;
export const mediaPlayerSelectAudioTrack: (id: number, track: number) => number;
export const mediaPlayerSelectMultiAudioTrack: (id: number, playoutTrackIndex: number, publishTrackIndex: number) => number;
export const mediaPlayerSetPlayerOption: (id: number, key: string, value: number) => number;
export const mediaPlayerSetPlayerOptionStr: (id: number, key: string, value: string) => number;
export const mediaPlayerTakeScreenshot: (id: number, filename: string) => number;
export const mediaPlayerAdjustPlayoutVolume: (id: number, vol: number) => number;
export const mediaPlayerGetPlayoutVolume: (id: number) => number;
export const mediaPlayerAdjustPublishSignalVolume: (id: number, vol: number) => number;
export const mediaPlayerGetPublishSignalVolume: (id: number) => number;
export const mediaPlayerGetPlaySrc: (id: number) => string;
export const mediaPlayerSwitchSrc: (id: number, src: string, syncPts: boolean) => number;
export const mediaPlayerPreloadSrc: (id: number, src: string, pts: number) => number;
export const mediaPlayerUnloadSrc: (id: number, src: string) => number;
export const mediaPlayerPlayPreloadedSrc: (id: number, src: string) => number;
export const mediaPlayerGetState: (id: number) => number;
export const mediaPlayerSetAudioDualMonoMode: (id: number, mode: Constants.AudioDualMonoMode) => number;
export const mediaPlayerSetSpatialAudioParams: (id: number, params: object) => number;
export const mediaPlayerRegisterPlayerObserver: (id: number, callback: Function) => number;
export const mediaPlayerUnRegisterPlayerObserver: (id: number) => number;
export const mediaPlayerRegisterAudioSpectrumObserver: (id: number, callback: Function) => number;
export const mediaPlayerUnRegisterAudioSpectrumObserver: (id: number) => number;
export const createMusicContentCenter: () => object;
export const destroyMusicContentCenter: () => void;
export const setDualStreamModeEx: (mode: number, width: number, height: number, bitrate: number, framerate: number, connection: object) => number;
export const setLocalAccessPoint: (config: string) => number;
